Description

=begin

In 1.8.6, you can set a local variable in a binding using eval. This doesn't seem to work in 1.9.2-preview1.

def define_a(b)

eval "a=1", b

end

define_a(binding)

puts local_variables.inspect

1.8: prints ["a"]

1.9: prints []

Similarly:

def another_a(&blk)

eval "a=1", blk.binding

yield

end

another_a do

puts local_variables.inspect

end

1.8: prints ["a"]

1.9: prints []

=end

History

#1 - 09/07/2009 02:16 PM - yugui (Yuki Sonoda)

- Target version set to 1.9.2

=begin

=end

#2 - 01/23/2010 09:36 AM - ko1 (Koichi Sasada)

- Status changed from Open to Rejected

- Assignee set to ko1 (Koichi Sasada)

=begin

Not a bug.  Binding spec is changed from 1.8.

=end
#3 - 10/15/2012 10:01 PM - shreeve (Steve Shreeve)

Given this change, what is the proper method of setting a local variable in a specific binding?

#4 - 01/13/2013 04:25 AM - trans (Thomas Sawyer)

I guess you don't.
